Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.debugger.sda
Class SDPListener

    java.lang.Object
      com.sun.squawk.debugger.JDWPListener
          com.sun.squawk.debugger.sda.SDPListener

All Implemented Interfaces:
  Runnable

    public final class SDPListener

extends JDWPListener

A SDPListener implements the Squawk VM side of the JDWP protocol and communicates with a Squawk Debugger Proxy.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.squawk.debugger.JDWPListener
`JDWPListener.CommandSet, JDWPListener.QuitException`

Field Summary

Fields inherited from class com.sun.squawk.debugger.JDWPListener
`otherHost`

Constructor Summary
`SDPListener(SDA debugger)`

Method Summary
`void` | `processCommand(CommandPacket command)` Processes a single command received over this listeners connection.
`String` | `sourceName()` Subclasses must return a meaning name for this listener that will be useful as a suffix for log messages on this thread.

Methods inherited from class com.sun.squawk.debugger.JDWPListener
`bindProxyPeer, getInputStreamFor, hasQuit, open, quit, run, sendCommand, sendReply`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDPListener

    public SDPListener(SDA debugger)

Method Detail

### processCommand

    public void processCommand(CommandPacket command)
                        throws IOException

  Processes a single command received over this listeners connection.

  Specified by:
    `processCommand` in class `JDWPListener`
  Throws:
    `IOException`

### sourceName

    public String sourceName()

  Subclasses must return a meaning name for this listener that will be useful as a suffix for log messages on this thread.

  Specified by:
    `sourceName` in class `JDWPListener`
  Returns:
    the name of the thing that this listener is talking to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"